/*
 * switchVolt.c:
 *	switchVolt.c program measures voltage at which the gpio pin switches
 *      from low to high
 *      
 *      Copyright (c)Uli Raich (uli.raich@cern.ch
 *      This program is part of a workshop on embedded systems held during the
 *      winter semester 2017 at the University of Cape Coast, Ghana
 */

#include <stdio.h>
#include <wiringPi.h>
#include <time.h>

// Resistor and capacitor connection point - wiringPi pin 0 is BCM_GPIO 17.

#define	IN_PIN	0         /* connection point */

int main (void)
{
  printf ("Raspberry Pi measure switching voltage\n") ;

  /* open the results file in append mode */

  wiringPiSetup () ;
  pinMode (IN_PIN, INPUT) ;
  for(;;) {
    printf("%d\n",digitalRead(IN_PIN));
    delay(500);
  }
}
